curl --request GET \
--url https://api.doozy.live/v1/surveys/{surveyId}/instances/{instanceId}/participants/{userId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.doozy.live/v1/surveys/{surveyId}/instances/{instanceId}/participants/{userId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.doozy.live/v1/surveys/{surveyId}/instances/{instanceId}/participants/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "survey_participant_result",
"survey_id": "<string>",
"instance_id": "<string>",
"title": "<string>",
"mode": "poll",
"response_type": "anonymous",
"user_id": "<string>",
"display_name": "<string>",
"email": "<string>",
"answered": 123,
"total": 123,
"status": "completed",
"responded_at": "<string>",
"delivered_at": "<string>",
"started_at": "<string>",
"last_activity_at": "<string>",
"closes_at": "<string>",
"delivery_method": "one_off",
"track_id": "<string>",
"track_name": "<string>",
"answers": [
{
"question_id": "q_abc123",
"question_text": "How satisfied are you with your onboarding experience?",
"question_type": "scale_1_to_10",
"value": 8,
"comment": "Great experience overall!"
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: quiz_abc123",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: quiz_abc123",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}Get a respondent's survey result
One respondent’s answers for a single survey instance. Visible to the survey’s admins and the respondent’s manager-of-record (subject to the survey’s result visibility). Anonymous surveys are never attributable and return 404.
Authorizations
API key for authentication. Generate keys in the Doozy dashboard.
Path Parameters
The unique identifier of the survey
1 - 128^[A-Za-z0-9_-]+$"survey_abc123"
The survey_instances id that delivered the survey
1 - 128^[A-Za-z0-9_-]+$"inst_abc123"
The respondent's user id
1 - 128^[A-Za-z0-9_-]+$"user_abc123"
Response
The respondent's answers
survey_participant_result poll, survey anonymous, user completed, in_progress, not_responded When the survey was delivered to this participant (ISO 8601).
First response (ISO 8601). Null if not started.
Most recent response activity (ISO 8601).
When the survey closes (ISO 8601). Null if open-ended.
How the survey was delivered to this participant.
one_off, track Track (workflow) ID if delivered via a track.
Track (workflow) name if delivered via a track.
Show child attributes
Show child attributes
Was this page helpful?